Bug 207115 - databases/mariadb55-server: mark OQGRAPH broken and allow to disable it properly
Summary: databases/mariadb55-server: mark OQGRAPH broken and allow to disable it properly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 199601
  Show dependency treegraph
 
Reported: 2016-02-11 20:01 UTC by Dmitry Marakasov
Modified: 2016-05-07 08:58 UTC (History)
2 users (show)

See Also:
amdmi3: maintainer-feedback? (never)


Attachments
Patch (863 bytes, patch)
2016-02-11 20:01 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-02-11 20:01:20 UTC
Created attachment 166877 [details]
Patch

Same as with mariadb100-server,
- Mark OQGRAPH option BROKEN as it fails with both old and new boost
- Allow to disable it properly so the build doesn't break of boost is installed
- Remove OQGRAPH-related cmake flags, as they do nothing
Comment 1 commit-hook freebsd_committer 2016-04-21 11:05:10 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Apr 21 11:04:34 UTC 2016
New revision: 413724
URL: https://svnweb.freebsd.org/changeset/ports/413724

Log:
  - Mark OQGRAPH option BROKEN as it fails with both old and new boost
  - Allow to disable it properly so the build doesn't break of boost is installed
  - Remove OQGRAPH-related cmake flags, as they do nothing

  PR:		207115
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (never@nevermind.kiev.ua, 2 months)

Changes:
  head/databases/mariadb100-server/Makefile
Comment 2 commit-hook freebsd_committer 2016-05-07 08:58:39 UTC
A commit references this bug:

Author: brnrd
Date: Sat May  7 08:57:47 UTC 2016
New revision: 414765
URL: https://svnweb.freebsd.org/changeset/ports/414765

Log:
  MFH: r413724 r414725

  - Mark OQGRAPH option BROKEN as it fails with both old and new boost
  - Allow to disable it properly so the build doesn't break of boost is installed
  - Remove OQGRAPH-related cmake flags, as they do nothing

  PR:		207115
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (never@nevermind.kiev.ua, 2 months)

  databases/mariadb100-{client,server}: Update to 10.0.25

    - Update to latest version 10.0.25
    - Fix security vulnerabilities
    - Replace USE_MYSQL/WANT_MYSQL_VER with USES= mysql:100m
    - Always build with SSL support, remove bundled CyaSSL
    - Align INNODB engine option with upstream option name
    - Mark not supported for TokuDB on i386
    - Backport improvements from 10.1 port
      - Replace bundled libs with ports' versions
      - ENGINES options group
    - TokuDB Engine
      - Add upstreamed patch fixing linuxism
      - Add/fix docs and license files
    - Make OQGraph ignore message explicit

  PR:		209318
  Security:	8c2b2f11-0ebe-11e6-b55e-b499baebfeaf
  Reviewed by:	feld (mentor)
  Approved by:	feld (mentor)
  Differential Revision:	D6162

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/databases/mariadb100-client/files/patch-cmake_jemalloc.cmake
  branches/2016Q2/databases/mariadb100-client/files/patch-extra_yassl_taocrypt_src_integer.cpp
  branches/2016Q2/databases/mariadb100-server/Makefile
  branches/2016Q2/databases/mariadb100-server/distinfo
  branches/2016Q2/databases/mariadb100-server/files/patch-cmake_jemalloc.cmake
  branches/2016Q2/databases/mariadb100-server/files/patch-storage_connect_json.cpp
  branches/2016Q2/databases/mariadb100-server/files/patch-storage_connect_tabmysql.cpp
  branches/2016Q2/databases/mariadb100-server/files/patch-storage_tokudb_CMakeLists.txt
  branches/2016Q2/databases/mariadb100-server/files/patch-storage_tokudb_PerconaFT_cmake__modules_TokuThirdParty.cmake
  branches/2016Q2/databases/mariadb100-server/files/patch-storage_tokudb_PerconaFT_ft_CMakeLists.txt
  branches/2016Q2/databases/mariadb100-server/pkg-plist